%define	modname	fsam7400

Name:		dkms-%{modname}
Version:	0.5.2
Release:	%mkrel 1
Summary:	DKMS-ready driver for fsam7400 SW killswitch
License:	GPLv2
Source0:	http://homepage.ntlworld.com/roadrash/lucid/%{modname}-%{version}.tbz
Url:		http://homepage.ntlworld.com/roadrash/lucid/
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for fsam7400 SW killswitch.

%prep
%setup -q -c -n %{modname}-%{version}
%__chmod -R go=u-w .

%build

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
%__cp -a %{modname}-%{version}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
%__cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade


%preun
/usr/sbin/dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root) 
%{_usrsrc}/%{modname}-%{version}-%{release}



%changelog

* Wed Sep 07 2011 matteo <matteo> 0.5.2-1.mga2
+ Revision: 140882
- imported package dkms-fsam7400

